Executive Summary



This Alert is flagged as TOP 25 Common Weakness Enumeration from CWE/SANS. For more information, you can read this.
Summary
Titlepython-django security update
Informations
NameDSA-4498First vendor Publication2019-08-12
VendorDebianLast vendor Modification2019-08-12
Severity (Vendor) N/ARevision1

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:L/Au:N/C:P/I:P/A:P)
Cvss Base Score7.5Attack RangeNetwork
Cvss Impact Score6.4Attack ComplexityLow
Cvss Expoit Score10AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

Several vulnerabilities were discovered in python-django, a web development framework. They could lead to remote denial-of-service or SQL injection,

For the oldstable distribution (stretch), these problems have been fixed in version 1:1.10.7-2+deb9u6.

For the stable distribution (buster), these problems have been fixed in version 1.11.23-1~deb10u1.

We recommend that you upgrade your python-django packages.

For the detailed security status of python-django please refer to its security tracker page at: https://security-tracker.debian.org/tracker/python-django

Original Source

Url : http://www.debian.org/security/2019/dsa-4498

CWE : Common Weakness Enumeration

%idName
75 %CWE-20Improper Input Validation
25 %CWE-89Improper Sanitization of Special Elements used in an SQL Command ('SQL Injection') (CWE/SANS Top 25)

CPE : Common Platform Enumeration

TypeDescriptionCount
Application41
Os2
Os1
Os1

Alert History

If you want to see full details history, please login or register.
0
1
2
DateInformations
2019-08-19 21:22:36
  • Multiple Updates
2019-08-12 17:22:02
  • Multiple Updates
2019-08-12 13:18:46
  • First insertion